Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class StrucDocCaptionImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.StrucDocCaptionImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, StrucDocCaption

    public class StrucDocCaptionImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements StrucDocCaption

An implementation of the model object 'Struc Doc Caption'.

The following features are implemented:

- `Mixed`
- `Group`
- `Link Html`
- `Sub`
- `Sup`
- `Footnote`
- `Footnote Ref`
- `ID`
- `Language`
- `Style Code`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getFootnote()`
`org.eclipse.emf.common.util.EList` | `getFootnoteRef()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()`
`java.lang.String` | `getID()`
`java.lang.String` | `getLanguage()`
`org.eclipse.emf.common.util.EList` | `getLinkHtml()`
`org.eclipse.emf.ecore.util.FeatureMap` | `getMixed()`
`java.util.List` | `getStyleCode()`
`org.eclipse.emf.common.util.EList` | `getSub()`
`org.eclipse.emf.common.util.EList` | `getSup()`
`void` | `setID(java.lang.String newID)`
`void` | `setLanguage(java.lang.String newLanguage)`
`void` | `setStyleCode(java.util.List newStyleCode)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getMixed

    public org.eclipse.emf.ecore.util.FeatureMap getMixed()

  Specified by:
    `getMixed` in interface `StrucDocCaption`
  Returns:
    the value of the 'Mixed' attribute list.
  See Also:
    `CDAR2Package.getStrucDocCaption_Mixed()`

### getGroup

    public org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Specified by:
    `getGroup` in interface `StrucDocCaption`
  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `CDAR2Package.getStrucDocCaption_Group()`

### getLinkHtml

    public org.eclipse.emf.common.util.EList getLinkHtml()

  Specified by:
    `getLinkHtml` in interface `StrucDocCaption`
  Returns:
    the value of the 'Link Html' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocCaption_LinkHtml()`

### getSub

    public org.eclipse.emf.common.util.EList getSub()

  Specified by:
    `getSub` in interface `StrucDocCaption`
  Returns:
    the value of the 'Sub' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocCaption_Sub()`

### getSup

    public org.eclipse.emf.common.util.EList getSup()

  Specified by:
    `getSup` in interface `StrucDocCaption`
  Returns:
    the value of the 'Sup' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocCaption_Sup()`

### getFootnote

    public org.eclipse.emf.common.util.EList getFootnote()

  Specified by:
    `getFootnote` in interface `StrucDocCaption`
  Returns:
    the value of the 'Footnote' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocCaption_Footnote()`

### getFootnoteRef

    public org.eclipse.emf.common.util.EList getFootnoteRef()

  Specified by:
    `getFootnoteRef` in interface `StrucDocCaption`
  Returns:
    the value of the 'Footnote Ref' containment reference list.
  See Also:
    `CDAR2Package.getStrucDocCaption_FootnoteRef()`

### getID

    public java.lang.String getID()

  Specified by:
    `getID` in interface `StrucDocCaption`
  Returns:
    the value of the 'ID' attribute.
  See Also:
    `StrucDocCaption.setID(String)`, `CDAR2Package.getStrucDocCaption_ID()`

### setID

    public void setID(java.lang.String newID)

  Specified by:
    `setID` in interface `StrucDocCaption`
  Parameters:
    `newID` - the new value of the 'ID' attribute.
  See Also:
    `StrucDocCaption.getID()`

### getLanguage

    public java.lang.String getLanguage()

  Specified by:
    `getLanguage` in interface `StrucDocCaption`
  Returns:
    the value of the 'Language' attribute.
  See Also:
    `StrucDocCaption.setLanguage(String)`, `CDAR2Package.getStrucDocCaption_Language()`

### setLanguage

    public void setLanguage(java.lang.String newLanguage)

  Specified by:
    `setLanguage` in interface `StrucDocCaption`
  Parameters:
    `newLanguage` - the new value of the 'Language' attribute.
  See Also:
    `StrucDocCaption.getLanguage()`

### getStyleCode

    public java.util.List getStyleCode()

  Specified by:
    `getStyleCode` in interface `StrucDocCaption`
  Returns:
    the value of the 'Style Code' attribute.
  See Also:
    `StrucDocCaption.setStyleCode(List)`, `CDAR2Package.getStrucDocCaption_StyleCode()`

### setStyleCode

    public void setStyleCode(java.util.List newStyleCode)

  Specified by:
    `setStyleCode` in interface `StrucDocCaption`
  Parameters:
    `newStyleCode` - the new value of the 'Style Code' attribute.
  See Also:
    `StrucDocCaption.getStyleCode()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD